// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.19.4
// source: Math/Math.proto

package MathPB

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SumRes struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Summation int64 `protobuf:"varint,1,opt,name=Summation,proto3" json:"Summation,omitempty"`
}

func (x *SumRes) Reset() {
	*x = SumRes{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Math_Math_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SumRes) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SumRes) ProtoMessage() {}

func (x *SumRes) ProtoReflect() protoreflect.Message {
	mi := &file_Math_Math_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SumRes.ProtoReflect.Descriptor instead.
func (*SumRes) Descriptor() ([]byte, []int) {
	return file_Math_Math_proto_rawDescGZIP(), []int{0}
}

func (x *SumRes) GetSummation() int64 {
	if x != nil {
		return x.Summation
	}
	return 0
}

type SumArg struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nums []int64 `protobuf:"varint,1,rep,packed,name=Nums,proto3" json:"Nums,omitempty"`
}

func (x *SumArg) Reset() {
	*x = SumArg{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Math_Math_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SumArg) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SumArg) ProtoMessage() {}

func (x *SumArg) ProtoReflect() protoreflect.Message {
	mi := &file_Math_Math_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SumArg.ProtoReflect.Descriptor instead.
func (*SumArg) Descriptor() ([]byte, []int) {
	return file_Math_Math_proto_rawDescGZIP(), []int{1}
}

func (x *SumArg) GetNums() []int64 {
	if x != nil {
		return x.Nums
	}
	return nil
}

type FactorialRes struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Factorial int64 `protobuf:"varint,1,opt,name=Factorial,proto3" json:"Factorial,omitempty"`
}

func (x *FactorialRes) Reset() {
	*x = FactorialRes{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Math_Math_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FactorialRes) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FactorialRes) ProtoMessage() {}

func (x *FactorialRes) ProtoReflect() protoreflect.Message {
	mi := &file_Math_Math_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FactorialRes.ProtoReflect.Descriptor instead.
func (*FactorialRes) Descriptor() ([]byte, []int) {
	return file_Math_Math_proto_rawDescGZIP(), []int{2}
}

func (x *FactorialRes) GetFactorial() int64 {
	if x != nil {
		return x.Factorial
	}
	return 0
}

type FactorialArg struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	N int64 `protobuf:"varint,1,opt,name=N,proto3" json:"N,omitempty"`
}

func (x *FactorialArg) Reset() {
	*x = FactorialArg{}
	if protoimpl.UnsafeEnabled {
		mi := &file_Math_Math_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FactorialArg) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FactorialArg) ProtoMessage() {}

func (x *FactorialArg) ProtoReflect() protoreflect.Message {
	mi := &file_Math_Math_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FactorialArg.ProtoReflect.Descriptor instead.
func (*FactorialArg) Descriptor() ([]byte, []int) {
	return file_Math_Math_proto_rawDescGZIP(), []int{3}
}

func (x *FactorialArg) GetN() int64 {
	if x != nil {
		return x.N
	}
	return 0
}

var File_Math_Math_proto protoreflect.FileDescriptor

var file_Math_Math_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x4d, 0x61, 0x74, 0x68, 0x2f, 0x4d, 0x61, 0x74, 0x68, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x04, 0x6d, 0x61, 0x74, 0x68, 0x22, 0x26, 0x0a, 0x06, 0x53, 0x75, 0x6d, 0x52, 0x65,
	0x73, 0x12, 0x1c, 0x0a, 0x09, 0x53, 0x75, 0x6d, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x53, 0x75, 0x6d, 0x6d, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22,
	0x1c, 0x0a, 0x06, 0x53, 0x75, 0x6d, 0x41, 0x72, 0x67, 0x12, 0x12, 0x0a, 0x04, 0x4e, 0x75, 0x6d,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x03, 0x52, 0x04, 0x4e, 0x75, 0x6d, 0x73, 0x22, 0x2c, 0x0a,
	0x0c, 0x46, 0x61, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x12, 0x1c, 0x0a,
	0x09, 0x46, 0x61, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x61, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x46, 0x61, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x61, 0x6c, 0x22, 0x1c, 0x0a, 0x0c, 0x46,
	0x61, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x61, 0x6c, 0x41, 0x72, 0x67, 0x12, 0x0c, 0x0a, 0x01, 0x4e,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x01, 0x4e, 0x32, 0x61, 0x0a, 0x07, 0x4d, 0x61, 0x74,
	0x68, 0x53, 0x76, 0x63, 0x12, 0x21, 0x0a, 0x03, 0x53, 0x75, 0x6d, 0x12, 0x0c, 0x2e, 0x6d, 0x61,
	0x74, 0x68, 0x2e, 0x53, 0x75, 0x6d, 0x41, 0x72, 0x67, 0x1a, 0x0c, 0x2e, 0x6d, 0x61, 0x74, 0x68,
	0x2e, 0x53, 0x75, 0x6d, 0x52, 0x65, 0x73, 0x12, 0x33, 0x0a, 0x09, 0x46, 0x61, 0x63, 0x74, 0x6f,
	0x72, 0x69, 0x61, 0x6c, 0x12, 0x12, 0x2e, 0x6d, 0x61, 0x74, 0x68, 0x2e, 0x46, 0x61, 0x63, 0x74,
	0x6f, 0x72, 0x69, 0x61, 0x6c, 0x41, 0x72, 0x67, 0x1a, 0x12, 0x2e, 0x6d, 0x61, 0x74, 0x68, 0x2e,
	0x46, 0x61, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x61, 0x6c, 0x52, 0x65, 0x73, 0x42, 0x46, 0x5a, 0x44,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x4e, 0x6f, 0x6f, 0x62, 0x2d,
	0x54, 0x65, 0x63, 0x68, 0x2f, 0x63, 0x6f, 0x64, 0x65, 0x62, 0x61, 0x73, 0x65, 0x2f, 0x67, 0x72,
	0x70, 0x63, 0x2d, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x73, 0x2f, 0x67, 0x6f, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x67, 0x6f, 0x5f, 0x70, 0x62, 0x2f, 0x4d, 0x61, 0x74, 0x68, 0x3b, 0x4d, 0x61,
	0x74, 0x68, 0x50, 0x42, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_Math_Math_proto_rawDescOnce sync.Once
	file_Math_Math_proto_rawDescData = file_Math_Math_proto_rawDesc
)

func file_Math_Math_proto_rawDescGZIP() []byte {
	file_Math_Math_proto_rawDescOnce.Do(func() {
		file_Math_Math_proto_rawDescData = protoimpl.X.CompressGZIP(file_Math_Math_proto_rawDescData)
	})
	return file_Math_Math_proto_rawDescData
}

var file_Math_Math_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_Math_Math_proto_goTypes = []interface{}{
	(*SumRes)(nil),       // 0: math.SumRes
	(*SumArg)(nil),       // 1: math.SumArg
	(*FactorialRes)(nil), // 2: math.FactorialRes
	(*FactorialArg)(nil), // 3: math.FactorialArg
}
var file_Math_Math_proto_depIdxs = []int32{
	1, // 0: math.MathSvc.Sum:input_type -> math.SumArg
	3, // 1: math.MathSvc.Factorial:input_type -> math.FactorialArg
	0, // 2: math.MathSvc.Sum:output_type -> math.SumRes
	2, // 3: math.MathSvc.Factorial:output_type -> math.FactorialRes
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_Math_Math_proto_init() }
func file_Math_Math_proto_init() {
	if File_Math_Math_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_Math_Math_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SumRes); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_Math_Math_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SumArg); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_Math_Math_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FactorialRes); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_Math_Math_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FactorialArg); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_Math_Math_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_Math_Math_proto_goTypes,
		DependencyIndexes: file_Math_Math_proto_depIdxs,
		MessageInfos:      file_Math_Math_proto_msgTypes,
	}.Build()
	File_Math_Math_proto = out.File
	file_Math_Math_proto_rawDesc = nil
	file_Math_Math_proto_goTypes = nil
	file_Math_Math_proto_depIdxs = nil
}
